/**
 * Data model pour les équipements
 */
export default class EcrymeEquipmentDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      weight: new fields.NumberField({ initial: 0, integer: true, min: 0 }),
      cost: new fields.NumberField({ initial: 0, integer: true, min: 0 }),
      costunit: new fields.StringField({ initial: "" }),
      quantity: new fields.NumberField({ initial: 1, integer: true, min: 0 })
    };
  }
}
